Wallet
Wallet balance queries
Retrieve AMA token balance for an account
Path parameters
pkstringRequired
Public key (Base58 encoded)
Responses
200
Balance
application/json
errorstringOptionalExample:
okbalancestringOptional
get/api/wallet/balance/{pk}
GET /api/wallet/balance/{pk} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200
Balance
{
"error": "ok",
"balance": "text"
}Retrieve token balance for a specific asset
Path parameters
pkstringRequired
Public key (Base58 encoded)
symbolstringRequired
Token symbol (e.g., AMA)
Responses
200
Balance
application/json
errorstringOptionalExample:
okbalancestringOptional
get/api/wallet/balance/{pk}/{symbol}
GET /api/wallet/balance/{pk}/{symbol} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200
Balance
{
"error": "ok",
"balance": "text"
}Retrieve all token balances for an account
Path parameters
pkstringRequired
Public key (Base58 encoded)
Responses
200
All balances
application/json
errorstringOptionalExample:
okget/api/wallet/balance_all/{pk}
GET /api/wallet/balance_all/{pk} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200
All balances
{
"error": "ok",
"balances": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}Last updated